
QGIS Application - Bug report #1181

Problem with v.what.rast from the shell of Grass Tools

2008-07-25 01:00 AM - leolami -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11241

Description

If I use the command v.what.rast from the shell of the GRASS Tools the shell stop to work and anything happens. To stop the command I

must click on the 'Close' buttom of the shell, Ctrl-C doesn't work.

When I close the shell I see that v.what.rast command works well (the column is update), but the shell of GRASS (I have run QGIS from

GRASS) says:

v.what.rast vector=punti@piana_prato raster=bo_perm@piana_prato layer=1

column=valore kill shell pid = 3267
2 categories loaded from table

2 categories loaded from vector

0 categories from vector missing in table

0 duplicate categories in vector

2 records updated

0 update errors

GRASS 6.3.0svn (Toscana):~ >

GRASS 6.3.0svn (Toscana):~ > kill shell pid = 3451

This confirms that the command works but there is something in the code that creates the stop on the sehll of GRASS Tools.

History

#1 - 2008-11-07 12:13 PM - Markus Neteler

I tried with QGIS-trunk with Spearfish on Mandriva:

g.copy vect=archsites,myarchsites --o

v.db.addcol myarchsites col="owner varchar(25)" 

v.info -c myarchsites

v.what.vect myarchsites qvect=fields column=owner qcolumn=label

and it got stuck.

Markus

#2 - 2009-04-28 12:30 AM - Paolo Cavallini

Fixed in commit:73e86da0 (SVN r10666) on *nix, OSX and minGW. Still to be solved for MSVC.

#3 - 2009-04-28 01:56 AM - Jürgen Fischer

Replying to [comment:4 pcav]:

Fixed in commit:73e86da0 (SVN r10666) on *nix, OSX and minGW. Still to be solved for MSVC.

#4 - 2009-06-23 11:21 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

So this is closed. A different method should be find to have a proper terminal in windows

#5 - 2009-08-12 12:45 AM - Paolo Cavallini

- Resolution deleted (fixed)

- Status changed from Closed to Feedback
#6 - 2009-08-12 12:45 AM - Paolo Cavallini

- Status changed from Feedback to Open

#7 - 2009-08-12 12:46 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed
